complexType "ExecutionAdvice"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 25 elements
Defined: | globally in fpml-confirmation-processes-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header, validation*, isCorrection, (parentCorrelationId?, correlationId, sequenceNumber)?, onBehalfOf?, productType?, ((originatingEvent?, trade) | amendment | increase | (terminatingEvent?, termination) | novation | change | optionExercise | optionExpiry+ | deClear | withdrawal | additionalEvent), quote+?, paymentDetails*, party+, account*
</...>

Content Model Elements (25):

  account, additionalEvent, amendment, change (defined in Events.model group), correlationId, deClear, header (defined in RequestMessage complexType), increase, isCorrection, novation, onBehalfOf (defined in OnBehalfOf.model group), optionExercise, optionExpiry (defined in Events.model group), | originatingEvent (defined in Events.model group), parentCorrelationId, party (defined in PartiesAndAccounts.model group), paymentDetails (in executionAdvice), productType (in executionAdvice), quote (defined in EventValuation.model group), sequenceNumber (defined in Sequence.model group), terminatingEvent (defined in Events.model group), termination, trade (defined in Events.model group), validation, withdrawal

All Direct / Indirect Based Elements (1):

  executionAdvice

Known Usage Locations

- As direct type of elements (1):
  executionAdvice

Annotation
A message advising a third party that a trade execution has occurred.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage (extension) ExecutionAdvice

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ExecutionAdvice"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="productType" type="ProductType"/> <xsd:group ref="Events.model"/> <xsd:group minOccurs="0" ref="EventValuation.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentDetails" type="PaymentDetails"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/25)
paymentDetails

  Type: | PaymentDetails, complex content

  Details of the payments, like amount breakdowns, settlement information.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentDetails" type="PaymentDetails"/>

productType

  Type: | ProductType, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="productType" type="ProductType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.